> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/interfaces/firmhouse-discount-code.md).

# FirmhouseDiscountCode

## Properties

| Property          | Type                                                                                              | Description                                                                                                                      |
| ----------------- | ------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| `autoSelectPlan?` | `null` \| [`FirmhousePlan`](/sdks/firmhouse-sdk/reference/interfaces/firmhouse-plan.md)           | If set the discount code will auto select this plan                                                                              |
| `code`            | `string`                                                                                          | The unique code that can be applied to a checkout                                                                                |
| `createdAt`       | `string`                                                                                          | When the discount code was created.                                                                                              |
| `expired`         | `boolean`                                                                                         | Whether the discount code has already expired.                                                                                   |
| `id`              | `string`                                                                                          | ID to identify the discount code with                                                                                            |
| `maxTimesUsed?`   | `null` \| `number`                                                                                | The max usage of this discount code                                                                                              |
| `metadata?`       | `unknown`                                                                                         | Metadata makes it possible to store additional information on objects.                                                           |
| `promotion?`      | `null` \| [`FirmhousePromotion`](/sdks/firmhouse-sdk/reference/interfaces/firmhouse-promotion.md) | Promotion that is attached to the discount code                                                                                  |
| `promotionId`     | `string`                                                                                          | ID of the promotion that is attached to the discount code                                                                        |
| `redeemable`      | `boolean`                                                                                         | Whether the discount code can be redeemed. Returns true only if related Discount is activated and Discount code has not expired. |
| `updatedAt`       | `string`                                                                                          | When the discount code was updated last time.                                                                                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/interfaces/firmhouse-discount-code.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
